﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApplication1._Default" %>

<%@ Register TagPrefix="ej" Namespace="Syncfusion.JavaScript.Models" Assembly="Syncfusion.EJ" %>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <div>
        <ej:Grid ID="OrdersGrid" runat="server" AllowPaging="True" OnServerExcelExporting="OrdersGrid_ServerExcelExporting" >
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="true" TextAlign="Right" Width="90">
                    <ValidationRule>
                        <ej:KeyValue Key="required" Value="true" />
                        <ej:KeyValue Key="number" Value="true" />
                    </ValidationRule>
                </ej:Column>
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="90">
                    <ValidationRule>
                        <ej:KeyValue Key="required" Value="true" />
                    </ValidationRule>
                    <EditTemplate Create="create" Read="read" Write="write" />
                </ej:Column>
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" EditType="DropdownEdit" TextAlign="Right"  Width="90" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="80" Format="{0:C}" EditType="NumericEdit">
                    <NumericEditOptions DecimalPlaces="2"></NumericEditOptions>
                </ej:Column>
                <ej:Column Field="ShipName" HeaderText="ShipName" Width="150" />
                <ej:Column Field="ShipCountry" HeaderText="ShipCountry" Width="90" EditType="DropdownEdit" />
            </Columns>
            <ClientSideEvents ActionComplete="Complete"></ClientSideEvents>
            <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True"></EditSettings>
            <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel,excelExport"></ToolbarSettings>
        </ej:Grid>
    </div>


    <script type="text/javascript">        
        function create() {
            return $("<input>");
        }

        function write(args) {
            $.ajax({
                type: 'POST',
                url: 'Default.aspx/MaterialesAutocomplete',
                contentType: 'application/json; utf-8',
                dataType: 'json',
                success: function (data) {
                    if (data.d !== null) {
                        actividadesList = data.d;
                        args.element.ejAutocomplete({
                            dataSource: actividadesList, width: "100%", emptyResultText: 'No hay sugerencias',
                            enableAutoFill: false, highlightSearch: true, allowFiltering: true, filterType: "Contains",
                            fields: { key: "CustomerID", text: "OrderID" }, multiColumnSettings: {
                                enable: true, showHeader: true,
                                stringFormat: "{0}",
                                width: "1000",
                                searchColumnIndices: [0, 1, 2],
                                columns: [
                                    { "field": "OrderID", "headerText": "Articulo" },
                                    { "field": "CustomerID", "headerText": "Categoria" },
                                    { "field": "EmployeeID", "headerText": "Nombre" }
                                ]
                            }
                        });
                    }
                },
                error: function (jqXHR, textStatus, errorThrown) {

                }
            });
        }

        function read(args) {
            args.ejAutocomplete('suggestionList').css('display', 'none');

            if (args.ejAutocomplete("instance").suggestionListItems != 'undefined') {

                if (args.ejAutocomplete("instance").suggestionListItems[0].OrderID == undefined) {
                    return args.ejAutocomplete("getValue");
                }
                else {
                    return args[0].previousSibling.value;
                }
            }
        }

        function Complete(args) {
            if (args.requestType == "beginedit") {
                $("#MainContent_OrdersGridCustomerID").on("keydown", function (e) {
                    if (e.keyCode == "13") {
                        var key = $("#MainContent_OrdersGridCustomerID").ejAutocomplete("getActiveText");
                        $("#MainContent_OrdersGridCustomerID").ejAutocomplete("selectValueByText", key);
                    }
                })

            }
        }

    </script>
</asp:Content>
